Summary: Programs which control basic system processes.
Name: SysVinit
%define version 2.78
Version: %{version}
Release: 1.0.4
Copyright: GPL
Group: System Environment/Base
Source: ftp://ftp.cistron.nl/pub/people/miquels/sysvinit/sysvinit-%{version}.tar.gz
Patch1: sysvinit-2.74-man.patch
Patch2: sysvinit-2.77-md5-be.patch
Patch3: sysvinit-2.78-sigint.patch
Patch4: sysvinit-2.78-halt.patch
Patch5: sysvinit-2.78-md5.patch
Patch6: sulogin-nologin.patch
Patch7: SysVinit-2.78-Makefile.patch
Buildroot: /var/tmp/init-root
Requires: pam >= 0.66-5

%description
The SysVinit package contains a group of processes that control 
the very basic functions of your system. SysVinit includes the init 
program, the first program started by the Linux kernel when the 
system boots.  Init then controls the startup, running and shutdown
of all other programs.

%prep
%setup -q -n sysvinit-%{version}
%patch1 -p1 -b .manpatch
%patch2 -p1 -b .be
%patch3 -p1 -b .sigint
%patch4 -p1 -b .halt
%patch5 -p1 -b .md5
%patch6 -p1 -b .nologin
%patch7 -p1 -b .Makefile

%build
CFLAGS="$RPM_OPT_FLAGS" make -C src

%install
rm -rf $RPM_BUILD_ROOT
for I in sbin usr/bin %{_mandir}/man{1,3,5,8} etc var/run dev; do
	mkdir -p $RPM_BUILD_ROOT/$I
done
make -C src ROOT=$RPM_BUILD_ROOT BIN_OWNER=`id -nu` BIN_GROUP=`id -ng` install
mknod --mode=0600 $RPM_BUILD_ROOT/dev/initctl p ||:
ln -snf killall5 $RPM_BUILD_ROOT/sbin/pidof

chmod 750 $RPM_BUILD_ROOT/usr/bin/utmpdump

%post
[ -e /var/run/initrunlvl ] && ln -s ../var/run/initrunlvl /etc/initrunlvl
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/Propaganda doc/changelog doc/Install
%doc doc/sysvinit-%{version}.lsm contrib/start-stop-daemon.* 
%attr(0510,root,admin)	/sbin/halt
%attr(0510,root,admin)	/sbin/init
%attr(0510,root,admin)	/sbin/killall5
/sbin/pidof
/sbin/poweroff
%attr(0510,root,admin)	/sbin/reboot
%attr(0510,root,admin)	/sbin/runlevel
%attr(0510,root,admin)	/sbin/shutdown
%attr(0510,root,admin)	/sbin/sulogin
/sbin/telinit
%attr(0510,root,admin)	/usr/bin/last
%attr(0510,root,admin)	/usr/bin/lastb
/usr/bin/mesg
%attr(0510,root,admin)	/usr/bin/utmpdump
%doc %{_mandir}/*/*
/dev/initctl

%changelog
* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.78, Release 1.0.4
  - Added CFLAGS so it will build properly for i386.


* Sun Oct 30 2000 Dave Wreski <dave@guardiandigital.com>
- FHS changes
- small fixes

* Thu Jul 06 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access to the /sbin/binaries for
        Guardian Digital EnGarde

* Sun Jun 25 2000 Dave Wreski <dave@guardiandigital.com>
- Remove sgid from wall
